# Eloquent - Pronunciation List, Language Center Tilburg University

# Getting started

##### Requirements:
  * docker-compose
  * GNU Make
  * OpenSSL CLI tools

## Make commando's
* Build docker
    ```sh
    make docker
    ```
    * Indien er op dit punt onder windows/WSL2 een permission error optreedt: controleer of de bestanden in `econtop/docker/app/files/root` execute-permissies hebben
      ```cd econtop/docker/app/files/root
         ls -l install setup
         chmod +x install setup
      ```
* Build database
    ```sh
    make testdb
    ```
    * Indien er op dit punt onder windows/WSL2 een permission error optreedt: controleer of het bestand `manage.py` execute-permissie heeft
      ```cd econtop
         ls -l manage.py
         chmod +x manage.py
      ```
      
## Generate new certificates to connect to the database AND connect to the PostgreSql-database
```sh
make psql
```

## Start a bash-shell as user 'dash'
```sh
make bash
```

## Start a bash-shell as user 'root'
```sh
make root
```

## Run the migrations
```sh
make migrate
```

## Run makemigrations 
```sh
make manage-makemigrations
```

## Re-build docker AND database 
```sh
make factory-reset
```
